<%_ if (position === 'import') { _%>
<%_ } _%>
<%_ if (position === 'method') { _%>

    /**
     * GET  /api-permissions/generate : regenerate all api permissions.
     *
     * @return the ResponseEntity with status 200 (OK) and the list of apiPermissions in body
     */
    @GetMapping("/api-permissions/generate")
    public ResponseEntity<Void> generate() {
        log.debug("REST request to get a page of ApiPermissions");
        apiPermissionService.regenerateApiPermissions();
        return ResponseEntity.ok().build();
    }
<%_ } _%>
